This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 116936 - Winbind process goes defunct at least once a day
Winbind process goes defunct at least once a day
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Simo Sorce
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-26 12:01 EST by Andrew Hydle
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:29:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Hydle 2004-02-26 12:01:48 EST
Description of problem:
I am running Samba 3.0.2-6.3E from Redhat Enterprise 3.0 using winbind to
authenticate against Active Directory and POSIX ACL's. Recently we
switched from
a windows file server to this server and are now having winbind crash
and random
files trurning up corrupted. Here are the log messages with the
internal error
and a copy of my smb.conf file.

winbindd.log:
[2004/02/23 14:52:09, 1] nsswitch/winbindd_util.c:add_trusted_domain(166)
  Added domain AMTHINKING amthinking.net
S-1-5-21-854245398-1958367476-725345543
[2004/02/23 14:56:10, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:08:47, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:08:47, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:14:46, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:14:46, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:15:22, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:15:22, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:25:48, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:25:48, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:51:09, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:51:09, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:51:52, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:51:52, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:52:24, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:52:24, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:52:37, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:52:37, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 16:39:16, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 16:39:16, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/24 00:43:42, 1] libsmb/clikrb5.c:ads_krb5_mk_req(293)
  krb5_mk_req_extended failed (Ticket expired)
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Administrators !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Users !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Guests !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Backup Operators !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Replicator !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Server Operators !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Account Operators !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Print Operators !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Pre-Windows 2000 Compatible Access !?
[2004/02/24 10:31:43, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/24 10:31:44, 1]
nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/24 10:43:44, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: am-backup$ not found
[2004/02/24 10:43:44, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'am-backup$' does not exist
[2004/02/24 10:43:44, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: am-backup$ not found
[2004/02/24 10:43:44, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'am-backup$' does not exist
[2004/02/24 10:43:44, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: am-backup$ not found
[2004/02/24 10:43:44, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'am-backup$' does not exist
[2004/02/24 10:43:48, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:43:48, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:43:48, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:43:48, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'vishal-lt$' does not exist
[2004/02/24 10:43:48, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:43:48, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:43:48, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal not found
[2004/02/24 10:43:48, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal' does not exist
[2004/02/24 10:43:48, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:43:48, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:43:48, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:43:48, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'vishal-lt$' does not exist
[2004/02/24 10:43:48, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:43:48, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:44:41, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:44:41, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:44:41, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:44:41, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'vishal-lt$' does not exist
[2004/02/24 10:44:41, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:44:41, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:44:41, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:44:41, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:44:41, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:44:41, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'vishal-lt$' does not exist
[2004/02/24 10:44:41, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:44:41, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:45:00, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: lasercutterpc$ not found
[2004/02/24 10:45:00, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'lasercutterpc$' does not exist
[2004/02/24 10:45:00, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: lasercutterpc$ not found
[2004/02/24 10:45:00, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'lasercutterpc$' does not exist
[2004/02/24 10:45:00, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: lasercutterpc$ not found
[2004/02/24 10:45:00, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'lasercutterpc$' does not exist
[2004/02/24 10:45:00, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: jgarcia not found
[2004/02/24 10:45:00, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'jgarcia' does not exist
[2004/02/24 10:45:37, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: am-wkstn009$ not found
[2004/02/24 10:45:37, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'am-wkstn009$' does not exist
[2004/02/24 10:45:37, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: am-wkstn009$ not found
[2004/02/24 10:45:37, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'am-wkstn009$' does not exist
[2004/02/24 10:45:37, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: am-wkstn009$ not found
[2004/02/24 10:45:37, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'am-wkstn009$' does not exist
[2004/02/24 10:45:37, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: dana not found
[2004/02/24 10:45:37, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'dana' does not exist
[2004/02/24 10:45:57, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: purchasingpc$ not found
[2004/02/24 10:45:57, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'purchasingpc$' does not exist
[2004/02/24 10:45:57, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: purchasingpc$ not found
[2004/02/24 10:45:57, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'purchasingpc$' does not exist
[2004/02/24 10:45:57, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: purchasingpc$ not found
[2004/02/24 10:45:57, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'purchasingpc$' does not exist
[2004/02/24 10:45:57, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: cjoans not found
[2004/02/24 10:45:57, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'cjoans' does not exist
[2004/02/24 10:45:58, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: purchasingpc$ not found
[2004/02/24 10:45:58, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'purchasingpc$' does not exist
[2004/02/24 10:45:58, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: purchasingpc$ not found
[2004/02/24 10:45:58, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'purchasingpc$' does not exist
[2004/02/24 10:45:58, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: purchasingpc$ not found
[2004/02/24 10:45:58, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'purchasingpc$' does not exist
[2004/02/24 10:46:19, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: blair not found
[2004/02/24 10:46:19, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'blair' does not exist
[2004/02/24 10:46:19, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: blair not found
[2004/02/24 10:46:19, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'blair' does not exist
[2004/02/24 10:46:19, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: blair-laptop$ not found
[2004/02/24 10:46:19, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'blair-laptop$' does not exist
[2004/02/24 10:46:19, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: blair-laptop$ not found
[2004/02/24 10:46:19, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'blair-laptop$' does not exist
winbindd: ../../../libraries/libldap/getvalues.c:36: ldap_get_values:
Assertion
`entry != ((void *)0)' failed.
[2004/02/24 10:46:24, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2004/02/24 10:46:24, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 6 in pid 996 (3.0.2-6.3E)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/02/24 10:46:24, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/02/24 10:46:24, 0] lib/util.c:smb_panic(1422)
  PANIC: internal error
[2004/02/24 10:46:24, 0] lib/util.c:smb_panic(1430)
  BACKTRACE: 18 stack frames:
   #0 winbindd(smb_panic+0x13f) [0x80cb96f]
   #1 winbindd [0x80b7428]
   #2 /lib/tls/libc.so.6 [0xb73b7c08]
   #3 /lib/tls/libc.so.6(abort+0x1d5) [0xb73b9255]
   #4 /lib/tls/libc.so.6 [0xb73b1559]
   #5 /usr/lib/libldap.so.2(ldap_get_values+0x19c) [0xb74eab3c]
   #6 winbindd(ads_pull_uint32+0x32) [0x817bcc2]
   #7 winbindd(ads_sid_to_name+0x1bd) [0x8181f6d]
   #8 winbindd [0x8084a71]
   #9 winbindd [0x80793b4]
   #10 winbindd(winbindd_lookup_name_by_sid+0x6f) [0x8074d9f]
   #11 winbindd(winbindd_lookupsid+0x16c) [0x807c33c]
   #12 winbindd(strftime+0x14bc) [0x806d6d8]
   #13 winbindd(winbind_process_packet+0x2f) [0x806da2f]
   #14 winbindd(do_dual_daemon+0x170) [0x8087000]
   #15 winbindd(main+0x4b9) [0x806e9f9]
   #16 /lib/tls/libc.so.6(__libc_start_main+0xf8) [0xb73a5748]
   #17 winbindd(chroot+0x35) [0x806cdf1]

smbd.log:
[2004/02/24 10:37:17, 1] smbd/service.c:make_connection_snum(705)
  10.10.20.32 (10.10.20.32) connect to service Applied_Minds initially
as user
AMTHINKING+vishal (uid=11006, gid=11001) (pid 4160)
[2004/02/24 10:39:43, 1] smbd/service.c:close_cnum(887)
  am-wkstn300 (10.11.20.54) closed connection to service Projects
[2004/02/24 10:43:06, 1] smbd/service.c:make_connection_snum(705)
  dmu80t (10.11.15.101) connect to service Applied_Minds initially as user
AMTHINKING+jhirahara (uid=11040, gid=11001) (pid 3311)
[2004/02/24 10:43:06, 1] smbd/service.c:make_connection_snum(705)
  dmu80t (10.11.15.101) connect to service Projects initially as user
AMTHINKING+jhirahara (uid=11040, gid=11001) (pid 3311)
[2004/02/24 10:43:43, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 10:43:43, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 10:43:43, 0] lib/util_sock.c:write_socket_data(388)
  write_socket_data: write failure. Error = Connection reset by peer
[2004/02/24 10:43:43, 0] lib/util_sock.c:write_socket(413)
  write_socket: Error writing 4 bytes to socket 16: ERRNO = Connection
reset by peer
[2004/02/24 10:43:43, 0] lib/util_sock.c:send_smb(605)
  Error writing 4 bytes to client. -1. (Connection reset by peer)
[2004/02/24 10:44:12, 1] smbd/service.c:close_cnum(887)
  dmu80t (10.11.15.101) closed connection to service Applied_Minds
[2004/02/24 10:44:12, 1] smbd/service.c:close_cnum(887)
  dmu80t (10.11.15.101) closed connection to service Projects
[2004/02/24 10:46:19, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 10:46:19, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 10:46:19, 0] lib/util_sock.c:write_socket_data(388)
  write_socket_data: write failure. Error = Connection reset by peer
[2004/02/24 10:46:19, 0] lib/util_sock.c:write_socket(413)
  write_socket: Error writing 4 bytes to socket 16: ERRNO = Connection
reset by peer
[2004/02/24 10:46:19, 0] lib/util_sock.c:send_smb(605)
  Error writing 4 bytes to client. -1. (Connection reset by peer)
[2004/02/24 10:46:19, 1] smbd/service.c:make_connection_snum(705)
  10.10.20.31 (10.10.20.31) connect to service Applied_Minds initially
as user
AMTHINKING+blair (uid=11002, gid=11001) (pid 4164)
[2004/02/24 10:49:57, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 10:49:57, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 10:49:57, 0] lib/util_sock.c:write_socket_data(388)
  write_socket_data: write failure. Error = Connection reset by peer
[2004/02/24 10:49:57, 0] lib/util_sock.c:write_socket(413)
  write_socket: Error writing 4 bytes to socket 5: ERRNO = Connection
reset by peer
[2004/02/24 10:49:57, 0] lib/util_sock.c:send_smb(605)
  Error writing 4 bytes to client. -1. (Connection reset by peer)
[2004/02/24 10:49:57, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially
as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4166)
[2004/02/24 10:49:57, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Projects initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4166)
[2004/02/24 10:50:01, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially
as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4166)
[2004/02/24 10:50:01, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Projects initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4166)
[2004/02/24 10:50:57, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 10:50:57, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Projects
[2004/02/24 10:52:18, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially
as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4166)
[2004/02/24 10:53:13, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 10:56:14, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially
as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4166)
[2004/02/24 10:57:12, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 10:58:20, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 10:58:20, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Projects
[2004/02/24 10:59:27, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially
as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4176)
[2004/02/24 10:59:27, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Projects initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4176)
[2004/02/24 10:59:31, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially
as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4176)
[2004/02/24 10:59:31, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Projects initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4176)
[2004/02/24 11:00:37, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Projects
[2004/02/24 11:00:37, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 11:01:07, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially
as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4176)
[2004/02/24 11:02:19, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 11:02:53, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 11:02:53, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Projects
[2004/02/24 11:11:59, 1] smbd/server.c:open_sockets_smbd(342)
  Reloading services after SIGHUP
[2004/02/24 11:12:48, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially
as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4228)
[2004/02/24 11:12:49, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Projects initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4228)
[2004/02/24 11:12:53, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially
as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4228)
[2004/02/24 11:12:53, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Projects initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4228)
[2004/02/24 11:13:42, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Projects
[2004/02/24 11:14:50, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 11:14:50, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 11:14:50, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Projects
[2004/02/24 11:18:55, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 11:18:55, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 11:18:55, 0] lib/util_sock.c:write_socket_data(388)
  write_socket_data: write failure. Error = Connection reset by peer
[2004/02/24 11:18:55, 0] lib/util_sock.c:write_socket(413)
  write_socket: Error writing 4 bytes to socket 5: ERRNO = Connection
reset by peer
[2004/02/24 11:18:55, 0] lib/util_sock.c:send_smb(605)
  Error writing 4 bytes to client. -1. (Connection reset by peer)
[2004/02/24 11:32:20, 1] smbd/service.c:make_connection_snum(705)
  am-wkstn003 (10.10.20.73) connect to service Applied_Minds initially
as user
AMTHINKING+blair (uid=11002, gid=11001) (pid 4268)
[2004/02/24 11:33:58, 1] smbd/service.c:make_connection_snum(705)
  10.10.20.31 (10.10.20.31) connect to service Projects initially as user
AMTHINKING+blair (uid=11002, gid=11001) (pid 4164)



smb.conf:
[global]
realm = amthinking.net
workgroup = AMTHINKING
security = ADS
encrypt passwords = yes
password server = dc0.amthinking.net dc1.amthinking.net
server string = AMI File Server
socket options = TCP_NODELAY 
kernel oplocks = no
# separate domain and username with +, like DOMAIN+username
winbind separator = +
# use uids from 11000 to 19000 for domain users
idmap uid = 11000-19000
# use gids from 11000 to 19000 for domain groups
idmap gid = 11000-19000
# allow enumeration of winbind users and groups
winbind enum users = yes
winbind enum groups = yes
# give winbind users a real shell (only needed if they have telnet access)
template homedir = /mnt/share/Applied_Minds/Users/%U
template shell = /bin/bash

#[homes]
#   comment = Home Directories
#   browseable = no
#   writable = yes

[Applied_Minds]
   comment = Applied Minds Corporate
   path = /mnt/share/Applied_Minds
   oplocks = no 
   level2 oplocks = no
   public = yes
   writable = yes

[Projects]
   comment = Applied Minds Projects
   path = /mnt/share/Projects
   oplocks = no 
   level2 oplocks = no   
   public = yes
   writable = yes

[Visitor]
   comment = Applied Minds Visitor Share
   path = /mnt/share/Visitor
   public = yes
   writable = yes

Version-Release number of selected component (if applicable):
3.0.2-6.3E

How reproducible:
Very

Steps to Reproduce:
1. Wait 24 hours
2.
3.
  
Actual results:
Process goes defunct at least once a day

Expected results:
It shouldnt crash

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 15:29:40 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.